Updates the purchase order with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

purchase_order
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
id2

Internal ID (numeric) automatically filled if empty

integer
jobs_id

Foreign key to Jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" using ERP PK when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

supplier_company_id

Foreign key to company, contains the supplier

globally unique identifier
supplier_company_code

Embedded entity "company" for the supplier using ERP PK when adding/updating

string
supplier_company

Embedded entity "company" for supplier using ERP PK when adding/updating

company
user_id

Creator of the purchase order

globally unique identifier
user_code

Embedded entity "user" for creator using ERP PK when adding/updating purchase_order

string
user

Embedded entity "user" for creator using node when adding/updating purchase_order

user
description

Description of the purchase order

string

Max length: 4000

memo

Memo, remark

string
total_lines

Number of lines, automatically filled when adding/updating/deleting lines

integer
date_create

Creation date

date
date_update

Last update date

date
date_delivery

Estimated date of delivery

date
confirmed_date_delivery

Date of the delivery

date
delivery_db_address_id

If Delivery and no picking, AddressID of the company (if not the main)

globally unique identifier
approved_by_user_id

If approval was needed, which user approves it

globally unique identifier
approved_by_user_code

Embedded entity "user" for approver using ERP PK when adding/updating purchase_order

string
approved_by_user

Embedded entity "user" for approver using node when adding/updating purchase_order

user
technical_user_id

User to contact if case of technical question about the purchase order

globally unique identifier
technical_user_code

Embedded entity "user" for technical user using ERP PK when adding/updating purchase_order

string
technical_user

Embedded entity "user" for technical user using node when adding/updating purchase_order

user
purchase_order_status_id

Foreign key to purchase_order_status

globally unique identifier

Optionally required : purchase_order_status_id or purchase_order_status_code must be provided

purchase_order_status_code

Foreign key to purchase_order_status using code. Use "Approved","SentToSupplier","Cancelled" or "Delivered"

string

Optionally required : purchase_order_status_id or purchase_order_status_code must be provided

article_stock_location_id

Stock location that will receive the articles

globally unique identifier
is_pickup

If pickup, the technician will go himself to the supplier to take the goods

boolean
reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "7f639b10-79a0-4deb-a04f-aea578fb1800",
  "id2": 2,
  "jobs_id": "c04957a9-7fcb-451e-86c6-cd84136bcee4",
  "jobs_reference_back_office": "sample string 4",
  "supplier_company_id": "9a03a594-7d23-4fbd-bb24-81da1a5b20c9",
  "supplier_company_code": "sample string 6",
  "user_id": "83e831d9-e915-4091-9a94-a0f83b3366b8",
  "user_code": "sample string 8",
  "description": "sample string 9",
  "memo": "sample string 10",
  "total_lines": 11,
  "date_create": "2026-11-06T06:52:46.648617+00:00",
  "date_update": "2026-11-06T06:52:46.648617+00:00",
  "date_delivery": "2026-11-06T06:52:46.648617+00:00",
  "confirmed_date_delivery": "2026-11-06T06:52:46.648617+00:00",
  "delivery_db_address_id": "ab5a33a1-a4e2-4798-8cac-3158416b3220",
  "approved_by_user_id": "29035223-39a6-4a22-b735-b5a9ed8b0872",
  "approved_by_user_code": "sample string 18",
  "technical_user_id": "97b1e4b7-424f-49fc-ae46-2b113816b503",
  "technical_user_code": "sample string 20",
  "purchase_order_status_id": "8232bda3-0db6-4be2-bcce-bad47cf0f483",
  "purchase_order_status_code": "sample string 22",
  "article_stock_location_id": "a78c14df-50cc-456e-906a-11cd65d54237",
  "is_pickup": true,
  "reference_back_office": "sample string 25",
  "modified_dateutc": "2026-11-06T06:52:46.648617+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.